Subject: bug#71766: 30.0.60; HarfBuzz is not used in the Cygwin-w32 build

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Jun 2024 05:34:32 +0300

> Date: Mon, 24 Jun 2024 21:18:31 -0400
> From: Ken Brown <[email-masked]>
> 
> The HarfBuzz library is hard-coded as libharfbuzz-0.dll in 
> w32uniscribe.c, but this is only valid on MS-Windows.  On Cygwin the 
> library is cygharfbuzz-0.dll.  As a result, HarfBuzz is not used in the 
> Cygwin-w32 build.  The obvious fix is

Please install this on the emacs-30 branch if it's all that is needed.

> Before pushing this, I'd like to test it, but I don't know enough about 
> HarfBuzz to do that.  Can someone tell me how to test that HarfBuzz is 
> actually being used as intended?  All I've done so far is to start emacs 
> and note that the display looks reasonable.

Type "C-u C-x =" on some character, it should tell you what is the
backend (at the beginning of the font name).  I would also use "C-h h"
to compare the display with another configuration where you know
HarfBuzz is being used.